AbstractSingleColumnStandardBasicType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class AbstractSingleColumnStandardBasicType<T>

    java.lang.Object
      org.hibernate.type.AbstractStandardBasicType<T>
          org.hibernate.type.AbstractSingleColumnStandardBasicType<T>

All Implemented Interfaces:
  Serializable, BasicType, SingleColumnType<T>, StringRepresentableType<T>, Type, XmlRepresentableType<T>

Direct Known Subclasses:
  AdaptedImmutableType, BigDecimalType, BigIntegerType, BinaryType, BlobType, BooleanType, ByteType, CalendarDateType, CalendarType, CharacterArrayClobType, CharacterArrayType, CharacterType, CharArrayType, ClassType, ClobType, CurrencyType, DateType, DoubleType, FloatType, ImageType, IntegerType, LocaleType, LongType, MaterializedBlobType, MaterializedClobType, NumericBooleanType, PostgresUUIDType, PrimitiveCharacterArrayClobType, SerializableType, ShortType, StringType, TextType, TimestampType, TimeType, TimeZoneType, TrueFalseType, UrlType, UUIDBinaryType, UUIDCharType, WrappedMaterializedBlobType, WrapperBinaryType, YesNoType

    public abstract class AbstractSingleColumnStandardBasicType<T>

extends AbstractStandardBasicType<T>
implements SingleColumnType<T>

TODO : javadoc

See Also:
  Serialized Form

Constructor Summary
`AbstractSingleColumnStandardBasicType(SqlTypeDescriptor sqlTypeDescriptor, JavaTypeDescriptor<T> javaTypeDescriptor)`

Method Summary
`void` | `nullSafeSet(PreparedStatement st, Object value, int index, boolean[] settable, SessionImplementor session)` Bind a value represented by an instance of the `mapped class` to the JDBC prepared statement, ignoring some columns as dictated by the 'settable' parameter.
`int` | `sqlType()`

Methods inherited from class org.hibernate.type.AbstractStandardBasicType
`assemble, beforeAssemble, compare, deepCopy, deepCopy, defaultSizes, dictatedSizes, disassemble, fromString, fromStringValue, fromXMLNode, fromXMLString, get, getColumnSpan, getDefaultSize, getDictatedSize, getHashCode, getHashCode, getJavaTypeDescriptor, getMutabilityPlan, getRegistrationKeys, getReplacement, getReturnedClass, getSemiResolvedType, getSqlTypeDescriptor, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, registerUnderJavaType, remapSqlTypeDescriptor, replace, replace, resolve, semiResolve, set, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toString, toXMLString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.SingleColumnType
`fromStringValue, get, nullSafeGet, set, toString`

Methods inherited from interface org.hibernate.type.Type
`assemble, beforeAssemble, compare, deepCopy, defaultSizes, dictatedSizes, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getName, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Constructor Detail

### AbstractSingleColumnStandardBasicType

    public AbstractSingleColumnStandardBasicType(SqlTypeDescriptor sqlTypeDescriptor,
                                                 JavaTypeDescriptor<T> javaTypeDescriptor)

Method Detail

### sqlType

    public final int sqlType()

  Specified by:
    `sqlType` in interface `SingleColumnType<T>`

### nullSafeSet

    public final void nullSafeSet(PreparedStatement st,
                                  Object value,
                                  int index,
                                  boolean[] settable,
                                  SessionImplementor session)
                           throws HibernateException,
                                  SQLException

  Bind a value represented by an instance of the `mapped class` to the JDBC prepared statement, ignoring some columns as dictated by the 'settable' parameter. Implementors should handle the possibility of null values. A multi-column type should bind parameters starting from `index`.

  Specified by:
    `nullSafeSet` in interface `Type`
  Parameters:
    `st` - The JDBC prepared statement to which to bind
    `value` - the object to write
    `index` - starting parameter bind index
    `settable` - an array indicating which columns to bind/ignore
    `session` - The originating session
  Throws:
    `HibernateException` - An error from Hibernate
    `SQLException` - An error from the JDBC driver

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.